Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365259 - Neutron continually logs Spurious warning messages regarding DHCP agents when no agents configured
Summary: Neutron continually logs Spurious warning messages regarding DHCP agents when...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: async
: 8.0 (Liberty)
Assignee: Assaf Muller
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1295530
TreeView+ depends on / blocked
 
Reported: 2016-08-08 17:44 UTC by joycej
Modified: 2016-08-25 18:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 18:39:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 360000 None None None 2016-08-25 18:39:03 UTC
OpenStack gerrit 1492773 None None None 2016-08-08 17:44:49 UTC

Description joycej 2016-08-08 17:44:49 UTC
Neutron will continually post the following warning message in neutron logs.  In this configuration no DHCP agents are configured at all.  Additionally, this error occurs regardless of whether the network is enabled for DHCP or not.  

2016-07-11 23:25:00.388 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:25:37.389 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:26:14.388 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:26:51.388 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:27:28.388 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:28:05.388 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:28:42.389 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:29:19.389 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:29:56.389 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:30:33.389 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:31:10.390 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling
2016-07-11 23:31:47.389 6 WARNING neutron.db.agentschedulers_db [req-642a0b9b-718e-4694-8625-9ba1c6c12331 - - - - -] No DHCP agents available, skipping rescheduling

There is an upstream bug for this : https://bugs.launchpad.net/bugs/1492773

There is an upstream patch for this.   Waiting for a merge:    https://review.openstack.org/349727

Comment 2 Assaf Muller 2016-08-08 17:51:58 UTC
We'll get the fix (If merged) in the next OSP 8 rebease. I also +2'd the patch.

Comment 3 Assaf Muller 2016-08-25 18:39:04 UTC
I cherry picked the fix to the Liberty and Mitaka upstream patches and they have been merged. The fix will be available next time OSP 8 is rebased. I don't think QE or documentation is in order so I'm flipping the bug to CLOSED NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.